restinio::easy_parser::result_wrapper_for< impl::std_array_wrapper< T, S > > Struct Template Reference

A specialization of result_wrapper_for metafunction for the case of std::array wrapper. More...

`#include <easy_parser.hpp>`

## Public Types

using | type = result_value_wrapper< std::array< T, S > >

## Detailed Description

template<typename T, std::size_t S>
struct restinio::easy_parser::result_wrapper_for< impl::std_array_wrapper< T, S > >

A specialization of result_wrapper_for metafunction for the case of std::array wrapper.

Since
  v.0.6.6

Definition at line 348 of file easy_parser.hpp.

## Member Typedef Documentation

## type

template<typename T , std::size_t S>

using restinio::easy_parser::result_wrapper_for< impl::std_array_wrapper< T, S > >::type = result_value_wrapper< std::array< T, S > >

Definition at line 350 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp